org.richfaces.view.facelets

## Class MethodMetadata

- java.lang.Object
- - javax.faces.view.facelets.Metadata
  - - org.richfaces.view.facelets.MethodMetadata

-     public abstract class MethodMetadata
      extends javax.faces.view.facelets.Metadata

  Since:
    Feb 24, 2010
  Author:
    akolonitsky

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected javax.faces.view.facelets.TagAttribute` | `attribute`
    `protected Class<?>[]` | `signature`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MethodMetadata(javax.faces.view.facelets.TagAttribute attribute, Class<?>... signature)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected javax.faces.el.MethodBinding` | `getMethodBinding(javax.faces.view.facelets.FaceletContext ctx)`
    `protected javax.el.MethodExpression` | `getMethodExpression(javax.faces.view.facelets.FaceletContext ctx)`

    - ### Methods inherited from class javax.faces.view.facelets.Metadata

      `applyMetadata`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### signature

          protected final Class<?>[] signature

    - #### attribute

          protected final javax.faces.view.facelets.TagAttribute attribute

  - ### Constructor Detail

    - #### MethodMetadata

          public MethodMetadata(javax.faces.view.facelets.TagAttribute attribute,
                        Class<?>... signature)

  - ### Method Detail

    - #### getMethodExpression

          protected javax.el.MethodExpression getMethodExpression(javax.faces.view.facelets.FaceletContext ctx)

    - #### getMethodBinding

          protected javax.faces.el.MethodBinding getMethodBinding(javax.faces.view.facelets.FaceletContext ctx)

Copyright © 2014 JBoss by Red Hat. All rights reserved.